#include <kosSyst.h>
#include <kosFile.h>
#include "core.h"

//  
Window* win = new Window();

class StatusLabel : public Label {
	// 
	void init() {
		this->id = 10;
		this->x = 15;
		this->y = 70;

		this->text = "Hello, dear friend! How are You?";

		this->color = COLOR_BLACK;
	}

	void onDraw() {
		//   ,  
		//      
	}
};

class GreenButton : public Button {
	// 
	void init() {
		this->id = 20;
		this->x = 15;
		this->y = 15;
		this->sizeX = 100;
		this->sizeY = 50;
		this->color = COLOR_GREEN;
	}

	//     
	void onClick() {
		//   "",      
		Label* label = (Label*) win->getControl(CONTROL_LABEL, 10);
		if (!label) return;

		label->text = "I am OK! Thank you! Good bye!";
		label->color = COLOR_GREEN;
		win->update(); //  
	}
};

class RedButton : public Button {
	void init() {
		this->id = 21;
		this->x = 120;
		this->y = 15;
		this->sizeX = 100;
		this->sizeY = 50;
		this->color = COLOR_RED;
	}

	//     
	void onClick() {
		//   "",      
		Label* label = (Label*) win->getControl(CONTROL_LABEL, 10);
		if (!label) return;

		label->text = "I am very bad! Thank you! Good bye!";
		label->color = COLOR_RED;
		win->update(); //  
	}
};

void kos_Main() {
	win->header = (Dword)"Test Application";

	//     
	win->addControl(CONTROL_BUTTON, new StatusLabel);
	win->addControl(CONTROL_BUTTON, new GreenButton);
	win->addControl(CONTROL_BUTTON, new RedButton);

	//  
	win->draw();

	//   
	win->waitForEvent();

	delete win;
}